Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`ssh`.`agent``

module documentation
(source)

Implements the SSH v2 key agent protocol. This protocol is documented in the SSH source code, in the file PROTOCOL.agent.

Maintainer: Paul Swartz

Class | `SSHAgentClient` | The client side of the SSH agent protocol. This is equivalent to ssh-add(1) and can be used with either ssh-agent(1) or the SSHAgentServer protocol, also in this package.
Class | `SSHAgentServer` | The server side of the SSH agent protocol. This is equivalent to ssh-agent(1) and can be used with either ssh-add(1) or the SSHAgentClient protocol, also in this package.
Constant | `AGENT_FAILURE` | Undocumented
Constant | `AGENT_IDENTITIES_ANSWER` | Undocumented
Constant | `AGENT_RSA_IDENTITIES_ANSWER` | Undocumented
Constant | `AGENT_SIGN_RESPONSE` | Undocumented
Constant | `AGENT_SUCCESS` | Undocumented
Constant | `AGENTC_ADD_IDENTITY` | Undocumented
Constant | `AGENTC_REMOVE_ALL_IDENTITIES` | Undocumented
Constant | `AGENTC_REMOVE_ALL_RSA_IDENTITIES` | Undocumented
Constant | `AGENTC_REMOVE_IDENTITY` | Undocumented
Constant | `AGENTC_REMOVE_RSA_IDENTITY` | Undocumented
Constant | `AGENTC_REQUEST_IDENTITIES` | Undocumented
Constant | `AGENTC_REQUEST_RSA_IDENTITIES` | Undocumented
Constant | `AGENTC_SIGN_REQUEST` | Undocumented
Variable | `messages` | Undocumented

AGENT_FAILURE: `int` = (source)

Undocumented

Value

    5

AGENT_IDENTITIES_ANSWER: `int` = (source)

Undocumented

Value

    12

AGENT_RSA_IDENTITIES_ANSWER: `int` = (source)

Undocumented

Value

    2

AGENT_SIGN_RESPONSE: `int` = (source)

Undocumented

Value

    14

AGENT_SUCCESS: `int` = (source)

Undocumented

Value

    6

AGENTC_ADD_IDENTITY: `int` = (source)

Undocumented

Value

    17

AGENTC_REMOVE_ALL_IDENTITIES: `int` = (source)

Undocumented

Value

    19

AGENTC_REMOVE_ALL_RSA_IDENTITIES: `int` = (source)

Undocumented

Value

    9

AGENTC_REMOVE_IDENTITY: `int` = (source)

Undocumented

Value

    18

AGENTC_REMOVE_RSA_IDENTITY: `int` = (source)

Undocumented

Value

    8

AGENTC_REQUEST_IDENTITIES: `int` = (source)

Undocumented

Value

    11

AGENTC_REQUEST_RSA_IDENTITIES: `int` = (source)

Undocumented

Value

    1

AGENTC_SIGN_REQUEST: `int` = (source)

Undocumented

Value

    13

messages: `dict` = (source)

Undocumented